Show / Hide Table of Contents

# Delegate Query.QueryAsyncEventHandler

Delegate type for callback when a query completes or fails

###### Namespace:Microsoft.SqlTools.ServiceLayer.QueryExecution

###### Assembly:Microsoft.SqlTools.ServiceLayer.dll

##### Syntax

    public delegate Task QueryAsyncEventHandler(Query q);

##### Parameters

Type | Name | Description
--- | --- | ---
Query | q | The query that completed

##### Returns

Type | Description
--- | ---
System.Threading.Tasks.Task |